package androidx.camera.core;

import androidx.annotation.Nullable;
import d.b.a.a.a;

public final class AutoValue_ImmutableImageInfo extends ImmutableImageInfo {
    private final int rotationDegrees;
    private final Object tag;
    private final long timestamp;

    public AutoValue_ImmutableImageInfo(@Nullable Object obj, long j2, int i2) {
        this.tag = obj;
        this.timestamp = j2;
        this.rotationDegrees = i2;
    }

    public boolean equals(Object obj) {
        if (obj == this) {
            return true;
        }
        if (!(obj instanceof ImmutableImageInfo)) {
            return false;
        }
        ImmutableImageInfo immutableImageInfo = (ImmutableImageInfo) obj;
        Object obj2 = this.tag;
        if (obj2 != null ? obj2.equals(immutableImageInfo.getTag()) : immutableImageInfo.getTag() == null) {
            if (this.timestamp == immutableImageInfo.getTimestamp() && this.rotationDegrees == immutableImageInfo.getRotationDegrees()) {
                return true;
            }
            return false;
        }
        return false;
    }

    @Override // androidx.camera.core.ImageInfo, androidx.camera.core.ImmutableImageInfo
    public int getRotationDegrees() {
        return this.rotationDegrees;
    }

    @Override // androidx.camera.core.ImageInfo, androidx.camera.core.ImmutableImageInfo
    @Nullable
    public Object getTag() {
        return this.tag;
    }

    @Override // androidx.camera.core.ImageInfo, androidx.camera.core.ImmutableImageInfo
    public long getTimestamp() {
        return this.timestamp;
    }

    public int hashCode() {
        Object obj = this.tag;
        int hashCode = obj == null ? 0 : obj.hashCode();
        long j2 = this.timestamp;
        return ((((hashCode ^ 1000003) * 1000003) ^ ((int) (j2 ^ (j2 >>> 32)))) * 1000003) ^ this.rotationDegrees;
    }

    public String toString() {
        StringBuilder n = a.n("ImmutableImageInfo{tag=");
        n.append(this.tag);
        n.append(", timestamp=");
        n.append(this.timestamp);
        n.append(", rotationDegrees=");
        return a.i(n, this.rotationDegrees, "}");
    }
}
