package androidx.camera.core.impl;

import androidx.annotation.NonNull;
import androidx.annotation.Nullable;
import d.g.b.a.a.a;
import java.util.concurrent.Executor;

public interface Observable<T> {

    public interface Observer<T> {
        void onError(@NonNull Throwable th);

        void onNewData(@Nullable T t);
    }

    void addObserver(@NonNull Executor executor, @NonNull Observer<T> observer);

    @NonNull
    a<T> fetchData();

    void removeObserver(@NonNull Observer<T> observer);
}
