package androidx.camera.core.internal;

import d.b.a.a.a;

public final class AutoValue_ImmutableZoomState extends ImmutableZoomState {
    private final float linearZoom;
    private final float maxZoomRatio;
    private final float minZoomRatio;
    private final float zoomRatio;

    public AutoValue_ImmutableZoomState(float f2, float f3, float f4, float f5) {
        this.zoomRatio = f2;
        this.maxZoomRatio = f3;
        this.minZoomRatio = f4;
        this.linearZoom = f5;
    }

    public boolean equals(Object obj) {
        if (obj == this) {
            return true;
        }
        if (!(obj instanceof ImmutableZoomState)) {
            return false;
        }
        ImmutableZoomState immutableZoomState = (ImmutableZoomState) obj;
        if (Float.floatToIntBits(this.zoomRatio) == Float.floatToIntBits(immutableZoomState.getZoomRatio()) && Float.floatToIntBits(this.maxZoomRatio) == Float.floatToIntBits(immutableZoomState.getMaxZoomRatio()) && Float.floatToIntBits(this.minZoomRatio) == Float.floatToIntBits(immutableZoomState.getMinZoomRatio()) && Float.floatToIntBits(this.linearZoom) == Float.floatToIntBits(immutableZoomState.getLinearZoom())) {
            return true;
        }
        return false;
    }

    @Override // androidx.camera.core.ZoomState, androidx.camera.core.internal.ImmutableZoomState
    public float getLinearZoom() {
        return this.linearZoom;
    }

    @Override // androidx.camera.core.ZoomState, androidx.camera.core.internal.ImmutableZoomState
    public float getMaxZoomRatio() {
        return this.maxZoomRatio;
    }

    @Override // androidx.camera.core.ZoomState, androidx.camera.core.internal.ImmutableZoomState
    public float getMinZoomRatio() {
        return this.minZoomRatio;
    }

    @Override // androidx.camera.core.ZoomState, androidx.camera.core.internal.ImmutableZoomState
    public float getZoomRatio() {
        return this.zoomRatio;
    }

    public int hashCode() {
        return ((((((Float.floatToIntBits(this.zoomRatio) ^ 1000003) * 1000003) ^ Float.floatToIntBits(this.maxZoomRatio)) * 1000003) ^ Float.floatToIntBits(this.minZoomRatio)) * 1000003) ^ Float.floatToIntBits(this.linearZoom);
    }

    public String toString() {
        StringBuilder n = a.n("ImmutableZoomState{zoomRatio=");
        n.append(this.zoomRatio);
        n.append(", maxZoomRatio=");
        n.append(this.maxZoomRatio);
        n.append(", minZoomRatio=");
        n.append(this.minZoomRatio);
        n.append(", linearZoom=");
        n.append(this.linearZoom);
        n.append("}");
        return n.toString();
    }
}
