package androidx.transition;

import android.view.View;
import androidx.annotation.NonNull;
import d.b.a.a.a;
import java.util.ArrayList;
import java.util.HashMap;
import java.util.Map;

public class TransitionValues {
    public final ArrayList<Transition> mTargetedTransitions = new ArrayList<>();
    public final Map<String, Object> values = new HashMap();
    public View view;

    @Deprecated
    public TransitionValues() {
    }

    public boolean equals(Object obj) {
        if (!(obj instanceof TransitionValues)) {
            return false;
        }
        TransitionValues transitionValues = (TransitionValues) obj;
        return this.view == transitionValues.view && this.values.equals(transitionValues.values);
    }

    public int hashCode() {
        return this.values.hashCode() + (this.view.hashCode() * 31);
    }

    public String toString() {
        StringBuilder n = a.n("TransitionValues@");
        n.append(Integer.toHexString(hashCode()));
        n.append(":\n");
        StringBuilder q = a.q(n.toString(), "    view = ");
        q.append(this.view);
        q.append("\n");
        String g2 = a.g(q.toString(), "    values:");
        for (String str : this.values.keySet()) {
            g2 = g2 + "    " + str + ": " + this.values.get(str) + "\n";
        }
        return g2;
    }

    public TransitionValues(@NonNull View view2) {
        this.view = view2;
    }
}
