package com.grass.cstore.bean;

import androidx.databinding.BaseObservable;
import androidx.databinding.Bindable;
import java.io.Serializable;

public class EditInfoReq extends BaseObservable implements Serializable {
    private String avatarFrame;
    private String bgImg;
    private String code;
    private int gender;
    private String logo;
    private String nickName;
    private String personSign;

    @Bindable
    public String getAvatarFrame() {
        return this.avatarFrame;
    }

    public String getBgImg() {
        return this.bgImg;
    }

    @Bindable
    public String getCode() {
        return this.code;
    }

    @Bindable
    public int getGender() {
        return this.gender;
    }

    @Bindable
    public String getLogo() {
        return this.logo;
    }

    @Bindable
    public String getNickName() {
        return this.nickName;
    }

    @Bindable
    public String getPersonSign() {
        return this.personSign;
    }

    public void setAvatarFrame(String str) {
        this.avatarFrame = str;
        notifyPropertyChanged(7);
    }

    public void setBgImg(String str) {
        this.bgImg = str;
    }

    public void setCode(String str) {
        this.code = str;
        notifyPropertyChanged(16);
    }

    public void setGender(int i2) {
        this.gender = i2;
        notifyPropertyChanged(35);
    }

    public void setLogo(String str) {
        this.logo = str;
        notifyPropertyChanged(50);
    }

    public void setNickName(String str) {
        this.nickName = str;
        notifyPropertyChanged(56);
    }

    public void setPersonSign(String str) {
        this.personSign = str;
        notifyPropertyChanged(59);
    }
}
