package com.grass.cstore.bean;

import java.io.Serializable;
import java.util.List;

public class NewsListBean implements Serializable {
    private List<NewsListData> data;
    private String total;

    public static class NewsListData {
        private int annId;
        private String annJumpUrl;
        private int annPlatform;
        private int annType;
        private String buttonName;
        private String content;
        private String createdAt;
        private String creator;
        private String endTime;
        private String name;
        private String startTime;
        private boolean status;
        private String updatedAt;

        public NewsListData(String str) {
            this.content = str;
        }

        public int getAnnId() {
            return this.annId;
        }

        public String getAnnJumpUrl() {
            return this.annJumpUrl;
        }

        public int getAnnPlatform() {
            return this.annPlatform;
        }

        public int getAnnType() {
            return this.annType;
        }

        public String getButtonName() {
            return this.buttonName;
        }

        public String getContent() {
            return this.content;
        }

        public String getCreatedAt() {
            return this.createdAt;
        }

        public String getCreator() {
            return this.creator;
        }

        public String getEndTime() {
            return this.endTime;
        }

        public String getName() {
            return this.name;
        }

        public String getStartTime() {
            return this.startTime;
        }

        public boolean getStatus() {
            return this.status;
        }

        public String getUpdatedAt() {
            return this.updatedAt;
        }

        public void setAnnId(int i2) {
            this.annId = i2;
        }

        public void setAnnJumpUrl(String str) {
            this.annJumpUrl = str;
        }

        public void setAnnPlatform(int i2) {
            this.annPlatform = i2;
        }

        public void setAnnType(int i2) {
            this.annType = i2;
        }

        public void setButtonName(String str) {
            this.buttonName = str;
        }

        public void setContent(String str) {
            this.content = str;
        }

        public void setCreatedAt(String str) {
            this.createdAt = str;
        }

        public void setCreator(String str) {
            this.creator = str;
        }

        public void setEndTime(String str) {
            this.endTime = str;
        }

        public void setName(String str) {
            this.name = str;
        }

        public void setStartTime(String str) {
            this.startTime = str;
        }

        public void setStatus(boolean z) {
            this.status = z;
        }

        public void setUpdatedAt(String str) {
            this.updatedAt = str;
        }
    }

    public List<NewsListData> getData() {
        return this.data;
    }

    public String getTotal() {
        return this.total;
    }

    public void setData(List<NewsListData> list) {
        this.data = list;
    }

    public void setTotal(String str) {
        this.total = str;
    }
}
