package com.grass.cstore.bean;

import android.text.TextUtils;
import androidx.databinding.BaseObservable;
import androidx.databinding.Bindable;
import java.io.Serializable;

public class RechargeBean extends BaseObservable implements Serializable {
    private String deviceId;
    private int goldCardId;
    private boolean isSeckill;
    private String money;
    private int nums;
    private int price;
    private int purType;
    private int rechType;
    private int source;
    private int targetId;
    private int vipCardId;

    @Bindable
    public String getDeviceId() {
        return this.deviceId;
    }

    @Bindable
    public int getGoldCardId() {
        return this.goldCardId;
    }

    @Bindable
    public String getMoney() {
        if (TextUtils.isEmpty(this.money)) {
            return "0";
        }
        return this.money;
    }

    @Bindable
    public int getNums() {
        return this.nums;
    }

    @Bindable
    public int getPrice() {
        return this.price;
    }

    @Bindable
    public int getPurType() {
        return this.purType;
    }

    @Bindable
    public int getRechType() {
        return this.rechType;
    }

    @Bindable
    public int getSource() {
        return this.source;
    }

    @Bindable
    public int getTargetId() {
        return this.targetId;
    }

    @Bindable
    public int getVipCardId() {
        return this.vipCardId;
    }

    @Bindable
    public boolean isIsSeckill() {
        return this.isSeckill;
    }

    public void setDeviceId(String str) {
        this.deviceId = str;
        notifyPropertyChanged(24);
    }

    public void setGoldCardId(int i2) {
        this.goldCardId = i2;
        notifyPropertyChanged(37);
    }

    public void setIsSeckill(boolean z) {
        this.isSeckill = z;
        notifyPropertyChanged(46);
    }

    public void setMoney(String str) {
        this.money = str;
        notifyPropertyChanged(54);
    }

    public void setNums(int i2) {
        this.nums = i2;
        notifyPropertyChanged(57);
    }

    public void setPrice(int i2) {
        this.price = i2;
        notifyPropertyChanged(63);
    }

    public void setPurType(int i2) {
        this.purType = i2;
        notifyPropertyChanged(68);
    }

    public void setRechType(int i2) {
        this.rechType = i2;
        notifyPropertyChanged(70);
    }

    public void setSource(int i2) {
        this.source = i2;
        notifyPropertyChanged(75);
    }

    public void setTargetId(int i2) {
        this.targetId = i2;
        notifyPropertyChanged(80);
    }

    public void setVipCardId(int i2) {
        this.vipCardId = i2;
        notifyPropertyChanged(92);
    }
}
