package com.grass.cstore.ui.home;

import android.content.Intent;
import android.view.View;
import android.widget.ImageView;
import androidx.constraintlayout.widget.ConstraintLayout;
import androidx.lifecycle.MutableLiveData;
import androidx.lifecycle.ViewModelProvider;
import c.a.a.a;
import com.android.tiktok.d1681786505291105505.R;
import com.androidx.lv.base.bean.AdInfoBean;
import com.androidx.lv.base.model.UserInfoModel;
import com.androidx.lv.base.ui.LazyFragment;
import com.grass.cstore.databinding.FragmentMineBinding;
import com.grass.cstore.dialog.IdentifyCardDialog;
import com.grass.cstore.ui.mine.AboutActivity;
import com.grass.cstore.ui.mine.EditUserInfoActivity;
import com.grass.cstore.ui.mine.MineHistoryVideoActivity;
import com.grass.cstore.ui.mine.MineLikeVideoActivity;
import com.grass.cstore.ui.mine.MyCommentActivity;
import com.grass.cstore.ui.mine.OnlineServiceActivity;
import com.grass.cstore.ui.mine.UnLockActivity;
import com.gyf.immersionbar.Constants;
import com.lxj.xpopup.enums.PopupAnimation;
import com.lxj.xpopup.enums.PopupType;
import com.lzy.okgo.cookie.SerializableCookie;
import d.c.a.a.f.a;
import d.c.a.a.i.c;
import d.c.a.a.i.i;
import java.util.Objects;

public class MineFragment extends LazyFragment<FragmentMineBinding> implements View.OnClickListener {
    public static final /* synthetic */ int n = 0;
    public UserInfoModel o;

    @Override // com.androidx.lv.base.ui.LazyFragment
    public void j() {
        int i2;
        ((FragmentMineBinding) this.k).t.d();
        ConstraintLayout constraintLayout = ((FragmentMineBinding) this.k).q;
        try {
            Class<?> cls = Class.forName("com.android.internal.R$dimen");
            i2 = a.f167e.getResources().getDimensionPixelSize(Integer.parseInt(cls.getField(Constants.IMMERSION_STATUS_BAR_HEIGHT).get(cls.newInstance()).toString()));
        } catch (Exception e2) {
            e2.printStackTrace();
            i2 = -1;
        }
        constraintLayout.setPadding(0, i2, 0, 0);
        this.o = (UserInfoModel) new ViewModelProvider(this).get(UserInfoModel.class);
        ((FragmentMineBinding) this.k).r.setOnClickListener(this);
        ((FragmentMineBinding) this.k).k.setOnClickListener(this);
        ((FragmentMineBinding) this.k).m.setOnClickListener(this);
        ((FragmentMineBinding) this.k).l.setOnClickListener(this);
        ((FragmentMineBinding) this.k).s.setOnClickListener(this);
        ((FragmentMineBinding) this.k).o.setOnClickListener(this);
        ((FragmentMineBinding) this.k).f803h.setOnClickListener(this);
        ((FragmentMineBinding) this.k).u.setOnClickListener(this);
        AdInfoBean b2 = c.e().b("MINE", 0, 0);
        ImageView imageView = ((FragmentMineBinding) this.k).f802d;
        if (b2 == null) {
            imageView.setVisibility(8);
        } else {
            imageView.setOnClickListener(new d.c.a.a.a(b2, imageView));
            a.g0(i.a().f1320b.getString(SerializableCookie.DOMAIN, "") + b2.getAdImage(), 6, imageView);
        }
        UserInfoModel userInfoModel = this.o;
        if (userInfoModel.f210a == null) {
            userInfoModel.f210a = new MutableLiveData<>();
        }
        userInfoModel.f210a.observe(getViewLifecycleOwner(), new d.h.a.g.s.a(this));
    }

    @Override // com.androidx.lv.base.ui.LazyFragment
    public int l() {
        return R.layout.fragment_mine;
    }

    public void onClick(View view) {
        if (!k()) {
            switch (view.getId()) {
                case R.id.app_about /*{ENCODED_INT: 2131296341}*/:
                    startActivity(new Intent(getContext(), AboutActivity.class));
                    return;
                case R.id.commentView /*{ENCODED_INT: 2131296413}*/:
                    startActivity(new Intent(getContext(), MyCommentActivity.class));
                    return;
                case R.id.historyView /*{ENCODED_INT: 2131296523}*/:
                    startActivity(new Intent(getContext(), MineHistoryVideoActivity.class));
                    return;
                case R.id.meLikeView /*{ENCODED_INT: 2131296668}*/:
                    startActivity(new Intent(getContext(), MineLikeVideoActivity.class));
                    return;
                case R.id.onlineServiceView /*{ENCODED_INT: 2131296726}*/:
                    startActivity(new Intent(getContext(), OnlineServiceActivity.class));
                    return;
                case R.id.settingView /*{ENCODED_INT: 2131296823}*/:
                    startActivity(new Intent(getActivity(), EditUserInfoActivity.class));
                    return;
                case R.id.shareView /*{ENCODED_INT: 2131296824}*/:
                    getActivity();
                    d.l.b.c.c cVar = new d.l.b.c.c();
                    cVar.f4334b = PopupAnimation.ScaleAlphaFromCenter;
                    cVar.f4333a = Boolean.TRUE;
                    IdentifyCardDialog identifyCardDialog = new IdentifyCardDialog(getActivity(), 0);
                    PopupType popupType = PopupType.Center;
                    identifyCardDialog.popupInfo = cVar;
                    identifyCardDialog.show();
                    return;
                case R.id.unlock /*{ENCODED_INT: 2131297019}*/:
                    startActivity(new Intent(getContext(), UnLockActivity.class));
                    return;
                default:
                    return;
            }
        }
    }

    @Override // androidx.fragment.app.Fragment, com.androidx.lv.base.ui.LazyFragment
    public void onDestroyView() {
        super.onDestroyView();
        Objects.requireNonNull(this.o);
        d.c.a.a.f.a aVar = a.b.f1298a;
        aVar.a("userInfo");
        aVar.a("getH5Url");
    }

    @Override // androidx.fragment.app.Fragment, com.gyf.immersionbar.components.ImmersionFragment
    public void onResume() {
        super.onResume();
        this.o.a();
    }
}
