package com.grass.cstore.ui.mine;

import android.text.Editable;
import android.text.TextWatcher;
import androidx.lifecycle.MutableLiveData;
import androidx.lifecycle.ViewModelProvider;
import com.android.tiktok.d1681786505291105505.R;
import com.androidx.lv.base.bean.UserInfo;
import com.androidx.lv.base.ui.BaseActivity;
import com.grass.cstore.bean.EditInfoReq;
import com.grass.cstore.databinding.ActivityEditUserInfoLayoutBinding;
import com.grass.cstore.model.EditUserModel;
import com.gyf.immersionbar.ImmersionBar;
import com.luck.picture.lib.PictureSelectionModel;
import com.luck.picture.lib.PictureSelector;
import com.luck.picture.lib.config.PictureMimeType;
import com.luck.picture.lib.entity.LocalMedia;
import com.luck.picture.lib.listener.OnResultCallbackListener;
import com.luck.picture.lib.permissions.PermissionChecker;
import com.luck.picture.lib.tools.PictureFileUtils;
import com.lzy.okgo.cookie.SerializableCookie;
import d.c.a.a.d.d;
import d.c.a.a.f.a;
import d.c.a.a.i.e;
import d.c.a.a.i.i;
import d.h.a.g.t.f;
import d.h.a.g.t.g;
import d.h.a.h.t;
import java.util.List;
import java.util.Objects;
import me.jessyan.autosize.internal.CancelAdapt;

public class EditUserInfoActivity extends BaseActivity<ActivityEditUserInfoLayoutBinding> implements CancelAdapt {
    public static final /* synthetic */ int l = 0;
    public EditUserModel m;
    public EditInfoReq n;
    public d o;
    public UserInfo p;

    public class a implements TextWatcher {
        public a() {
        }

        public void afterTextChanged(Editable editable) {
            EditUserInfoActivity.this.n.setNickName(editable.toString());
        }

        public void beforeTextChanged(CharSequence charSequence, int i2, int i3, int i4) {
        }

        public void onTextChanged(CharSequence charSequence, int i2, int i3, int i4) {
        }
    }

    public class b implements OnResultCallbackListener<LocalMedia> {
        public b() {
        }

        @Override // com.luck.picture.lib.listener.OnResultCallbackListener
        public void onCancel() {
        }

        @Override // com.luck.picture.lib.listener.OnResultCallbackListener
        public void onResult(List<LocalMedia> list) {
            if (list != null && list.size() > 0) {
                try {
                    LocalMedia localMedia = list.get(0);
                    EditUserInfoActivity.this.n.setLogo(localMedia.getCutPath());
                    EditUserInfoActivity editUserInfoActivity = EditUserInfoActivity.this;
                    ((ActivityEditUserInfoLayoutBinding) editUserInfoActivity.f222h).b(editUserInfoActivity.n);
                    ((ActivityEditUserInfoLayoutBinding) EditUserInfoActivity.this.f222h).a(localMedia.getCutPath());
                } catch (Exception e2) {
                    e2.printStackTrace();
                }
            }
        }
    }

    @Override // com.androidx.lv.base.ui.BaseActivity
    public void D() {
        super.D();
        ImmersionBar.with(this).titleBar(((ActivityEditUserInfoLayoutBinding) this.f222h).k).statusBarDarkFont(true).init();
    }

    @Override // com.androidx.lv.base.ui.BaseActivity
    public int G() {
        return R.layout.activity_edit_user_info_layout;
    }

    public final void H() {
        PictureSelectionModel imageEngine = PictureSelector.create(this).openGallery(PictureMimeType.ofImage()).imageEngine(e.a());
        if (t.f4192a == null) {
            t.f4192a = new t(this);
        }
        PictureSelectionModel pictureStyle = imageEngine.setPictureStyle(t.f4192a.f4193b);
        if (t.f4192a == null) {
            t.f4192a = new t(this);
        }
        pictureStyle.setPictureCropStyle(t.f4192a.f4194c).selectionMode(1).isPreviewImage(true).isCamera(true).isEnableCrop(true).isCompress(true).withAspectRatio(1, 1).freeStyleCropEnabled(true).circleDimmedLayer(true).showCropFrame(false).showCropGrid(false).minimumCompressSize(100).forResult(new b());
    }

    public final void I(String str) {
        if (this.o == null) {
            this.o = new d(this);
        }
        if (!this.o.isShowing()) {
            this.o.show();
        }
        this.o.f1291d.setText(str);
    }

    @Override // com.androidx.lv.base.ui.BaseActivity
    public void initView() {
        this.m = (EditUserModel) new ViewModelProvider(this).get(EditUserModel.class);
        this.n = new EditInfoReq();
        UserInfo b2 = i.a().b();
        this.p = b2;
        this.n.setNickName(b2.getNickName());
        this.n.setLogo(this.p.getLogo());
        ((ActivityEditUserInfoLayoutBinding) this.f222h).a(i.a().f1320b.getString(SerializableCookie.DOMAIN, "") + this.p.getLogo());
        ((ActivityEditUserInfoLayoutBinding) this.f222h).b(this.n);
        ((ActivityEditUserInfoLayoutBinding) this.f222h).c(this.p);
        ((ActivityEditUserInfoLayoutBinding) this.f222h).l.setOnClickListener(new d.h.a.g.t.e(this));
        ((ActivityEditUserInfoLayoutBinding) this.f222h).f752h.setOnClickListener(new d.h.a.g.t.d(this));
        ((ActivityEditUserInfoLayoutBinding) this.f222h).m.setOnClickListener(new d.h.a.g.t.b(this));
        ((ActivityEditUserInfoLayoutBinding) this.f222h).f751d.addTextChangedListener(new a());
        EditUserModel editUserModel = this.m;
        if (editUserModel.f828b == null) {
            editUserModel.f828b = new MutableLiveData<>();
        }
        editUserModel.f828b.observe(this, new d.h.a.g.t.a(this));
        EditUserModel editUserModel2 = this.m;
        if (editUserModel2.f827a == null) {
            editUserModel2.f827a = new MutableLiveData<>();
        }
        editUserModel2.f827a.observe(this, new g(this));
        ((ActivityEditUserInfoLayoutBinding) this.f222h).f753j.setOnClickListener(new f(this));
    }

    @Override // androidx.appcompat.app.AppCompatActivity, androidx.fragment.app.FragmentActivity, com.androidx.lv.base.ui.BaseActivity
    public void onDestroy() {
        super.onDestroy();
        if (PermissionChecker.checkSelfPermission(this, "android.permission.WRITE_EXTERNAL_STORAGE")) {
            PictureFileUtils.deleteAllCacheDirFile(this);
        } else {
            PermissionChecker.requestPermissions(this, new String[]{"android.permission.WRITE_EXTERNAL_STORAGE"}, 1);
        }
        Objects.requireNonNull(this.m);
        d.c.a.a.f.a aVar = a.b.f1298a;
        aVar.a("uploadImg");
        aVar.a("logo");
        aVar.a("modifyInfo");
    }
}
