package com.grass.cstore.ui.video;

import android.content.Intent;
import android.text.TextUtils;
import android.view.View;
import android.widget.TextView;
import androidx.annotation.NonNull;
import androidx.recyclerview.widget.GridLayoutManager;
import com.android.tiktok.d1681786505291105505.R;
import com.androidx.lv.base.http.BaseRes;
import com.androidx.lv.base.ui.BaseActivity;
import com.grass.cstore.bean.VideoBean;
import com.grass.cstore.bean.VideoListBean;
import com.grass.cstore.databinding.ActivityRefreshBinding;
import com.grass.cstore.ui.mine.adapter.MineBuyVideoAdapter;
import com.gyf.immersionbar.ImmersionBar;
import com.lzy.okgo.cache.CacheMode;
import com.lzy.okgo.request.GetRequest;
import d.c.a.a.f.c;
import d.c.a.a.i.j;
import d.o.a.b.b.i;
import i.a.a.l;
import java.util.ArrayList;
import java.util.List;
import me.jessyan.autosize.internal.CancelAdapt;
import org.greenrobot.eventbus.ThreadMode;

public class VideoTagActivity extends BaseActivity<ActivityRefreshBinding> implements d.o.a.b.f.c, d.o.a.b.f.b, CancelAdapt {
    public static final /* synthetic */ int l = 0;
    public int m = 1;
    public MineBuyVideoAdapter n;
    public String o;

    public class a implements View.OnClickListener {
        public a() {
        }

        public void onClick(View view) {
            VideoTagActivity.this.finish();
        }
    }

    public class b implements d.c.a.a.g.a {
        public b() {
        }

        @Override // d.c.a.a.g.a
        public void onItemClick(View view, int i2) {
            VideoTagActivity videoTagActivity = VideoTagActivity.this;
            int i3 = VideoTagActivity.l;
            if (!videoTagActivity.E()) {
                ((VideoBean) VideoTagActivity.this.n.b(i2)).getVideoMark();
                Intent intent = new Intent(view.getContext(), VideoListActivity.class);
                int i4 = 0;
                intent.putExtra("position", 0);
                ArrayList arrayList = new ArrayList();
                while (i2 < VideoTagActivity.this.n.f216a.size()) {
                    i4++;
                    arrayList.add((VideoBean) VideoTagActivity.this.n.b(i2));
                    if (i4 == 40) {
                        break;
                    }
                    i2++;
                }
                intent.putExtra("parcelable_entity", arrayList);
                VideoTagActivity.this.startActivity(intent);
            }
        }
    }

    public class c implements View.OnClickListener {
        public c() {
        }

        public void onClick(View view) {
            VideoTagActivity videoTagActivity = VideoTagActivity.this;
            videoTagActivity.m = 1;
            videoTagActivity.H();
        }
    }

    public class d extends d.c.a.a.f.d.a<BaseRes<VideoListBean>> {
        public d(String str) {
            super(str);
        }

        @Override // d.c.a.a.f.d.b
        public void onLvSuccess(Object obj) {
            BaseRes baseRes = (BaseRes) obj;
            T t = VideoTagActivity.this.f222h;
            if (t != null) {
                ((ActivityRefreshBinding) t).f771j.a();
                ((ActivityRefreshBinding) VideoTagActivity.this.f222h).f770h.k();
                ((ActivityRefreshBinding) VideoTagActivity.this.f222h).f770h.h();
                if (baseRes.getCode() != 200) {
                    VideoTagActivity videoTagActivity = VideoTagActivity.this;
                    if (videoTagActivity.m == 1) {
                        ((ActivityRefreshBinding) videoTagActivity.f222h).f771j.c();
                    } else {
                        j.a().d(baseRes.getMsg());
                    }
                } else if (baseRes.getData() == null || ((VideoListBean) baseRes.getData()).getData() == null || ((VideoListBean) baseRes.getData()).getData().size() <= 0) {
                    VideoTagActivity videoTagActivity2 = VideoTagActivity.this;
                    if (videoTagActivity2.m == 1) {
                        ((ActivityRefreshBinding) videoTagActivity2.f222h).f771j.b();
                    } else {
                        ((ActivityRefreshBinding) videoTagActivity2.f222h).f770h.j();
                    }
                } else {
                    VideoTagActivity videoTagActivity3 = VideoTagActivity.this;
                    if (videoTagActivity3.m == 1) {
                        videoTagActivity3.n.setData(((VideoListBean) baseRes.getData()).getData());
                        ((ActivityRefreshBinding) VideoTagActivity.this.f222h).f770h.s(false);
                        return;
                    }
                    videoTagActivity3.n.e(((VideoListBean) baseRes.getData()).getData());
                }
            }
        }
    }

    @Override // com.androidx.lv.base.ui.BaseActivity
    public void D() {
        super.D();
        ImmersionBar.with(this).titleBar(((ActivityRefreshBinding) this.f222h).k).init();
    }

    @Override // com.androidx.lv.base.ui.BaseActivity
    public int G() {
        return R.layout.activity_refresh;
    }

    public void H() {
        List<D> list;
        if (!TextUtils.isEmpty(this.o)) {
            if (this.m == 1) {
                MineBuyVideoAdapter mineBuyVideoAdapter = this.n;
                if (!(mineBuyVideoAdapter == null || (list = mineBuyVideoAdapter.f216a) == null || list.size() <= 0)) {
                    this.n.clear();
                }
                if (!c.a.a.a.a0()) {
                    ((ActivityRefreshBinding) this.f222h).f771j.e();
                    return;
                }
                ((ActivityRefreshBinding) this.f222h).f771j.d();
            }
            d.c.a.a.f.c cVar = c.b.f1302a;
            String str = cVar.c() + "/api/video/queryVideoByTag?pageSize=21&page=" + this.m + "&tagTitle=" + this.o;
            d dVar = new d("");
            ((GetRequest) ((GetRequest) ((GetRequest) new GetRequest(str).tag(dVar.getTag())).cacheKey(str)).cacheMode(CacheMode.NO_CACHE)).execute(dVar);
        }
    }

    @Override // d.o.a.b.f.c
    public void d(@NonNull i iVar) {
        this.m = 1;
        H();
    }

    @Override // com.androidx.lv.base.ui.BaseActivity
    public void initView() {
        i.a.a.c.b().j(this);
        this.o = getIntent().getStringExtra("txt");
        TextView textView = ((ActivityRefreshBinding) this.f222h).m;
        StringBuilder n2 = d.b.a.a.a.n("#");
        n2.append(this.o);
        textView.setText(n2.toString());
        ((ActivityRefreshBinding) this.f222h).l.setOnClickListener(new a());
        T t = this.f222h;
        ((ActivityRefreshBinding) t).f770h.l0 = this;
        ((ActivityRefreshBinding) t).f770h.t(this);
        ((ActivityRefreshBinding) this.f222h).f769d.setLayoutManager(new GridLayoutManager(this, 3));
        ((ActivityRefreshBinding) this.f222h).f769d.setPadding(c.a.a.a.x(12), 0, c.a.a.a.x(12), 0);
        MineBuyVideoAdapter mineBuyVideoAdapter = new MineBuyVideoAdapter();
        this.n = mineBuyVideoAdapter;
        mineBuyVideoAdapter.f217b = new b();
        ((ActivityRefreshBinding) this.f222h).f769d.setAdapter(mineBuyVideoAdapter);
        ((ActivityRefreshBinding) this.f222h).f771j.setOnRetryListener(new c());
        H();
    }

    @Override // d.o.a.b.f.b
    public void o(@NonNull i iVar) {
        this.m++;
        H();
    }

    @l(threadMode = ThreadMode.MAIN)
    public void onCollectEvent(d.h.a.c.b bVar) {
        List<D> list = this.n.f216a;
        if (list != null && list.size() > 0) {
            for (int i2 = 0; i2 < list.size(); i2++) {
                if (list.get(i2).getVideoId() == bVar.f4034a) {
                    list.get(i2).setLike(bVar.f4036c);
                    list.get(i2).setFakeLikes(bVar.f4035b);
                    this.n.notifyItemChanged(i2, "payload");
                }
            }
        }
    }

    @Override // androidx.appcompat.app.AppCompatActivity, androidx.fragment.app.FragmentActivity, com.androidx.lv.base.ui.BaseActivity
    public void onDestroy() {
        super.onDestroy();
        i.a.a.c.b().l(this);
    }
}
