package com.luck.picture.lib.style;

import android.os.Parcel;
import android.os.Parcelable;
import androidx.annotation.ColorInt;

public class PictureCropParameterStyle implements Parcelable {
    public static final Parcelable.Creator<PictureCropParameterStyle> CREATOR = new Parcelable.Creator<PictureCropParameterStyle>() {
        /* class com.luck.picture.lib.style.PictureCropParameterStyle.AnonymousClass1 */

        @Override // android.os.Parcelable.Creator
        public PictureCropParameterStyle createFromParcel(Parcel parcel) {
            return new PictureCropParameterStyle(parcel);
        }

        @Override // android.os.Parcelable.Creator
        public PictureCropParameterStyle[] newArray(int i2) {
            return new PictureCropParameterStyle[i2];
        }
    };
    @ColorInt
    public int cropNavBarColor;
    @ColorInt
    public int cropStatusBarColorPrimaryDark;
    @ColorInt
    public int cropTitleBarBackgroundColor;
    @ColorInt
    public int cropTitleColor;
    public boolean isChangeStatusBarFontColor;

    public PictureCropParameterStyle() {
    }

    public int describeContents() {
        return 0;
    }

    public void writeToParcel(Parcel parcel, int i2) {
        parcel.writeByte(this.isChangeStatusBarFontColor ? (byte) 1 : 0);
        parcel.writeInt(this.cropTitleBarBackgroundColor);
        parcel.writeInt(this.cropStatusBarColorPrimaryDark);
        parcel.writeInt(this.cropTitleColor);
        parcel.writeInt(this.cropNavBarColor);
    }

    public PictureCropParameterStyle(int i2, int i3, int i4, boolean z) {
        this.cropTitleBarBackgroundColor = i2;
        this.cropStatusBarColorPrimaryDark = i3;
        this.cropTitleColor = i4;
        this.isChangeStatusBarFontColor = z;
    }

    public PictureCropParameterStyle(int i2, int i3, int i4, int i5, boolean z) {
        this.cropTitleBarBackgroundColor = i2;
        this.cropNavBarColor = i4;
        this.cropStatusBarColorPrimaryDark = i3;
        this.cropTitleColor = i5;
        this.isChangeStatusBarFontColor = z;
    }

    public PictureCropParameterStyle(Parcel parcel) {
        this.isChangeStatusBarFontColor = parcel.readByte() != 0;
        this.cropTitleBarBackgroundColor = parcel.readInt();
        this.cropStatusBarColorPrimaryDark = parcel.readInt();
        this.cropTitleColor = parcel.readInt();
        this.cropNavBarColor = parcel.readInt();
    }
}
