package com.luck.picture.lib.widget.longimage;

import androidx.annotation.NonNull;

public class CompatDecoderFactory<T> implements DecoderFactory<T> {
    private Class<? extends T> clazz;

    public CompatDecoderFactory(@NonNull Class<? extends T> cls) {
        this.clazz = cls;
    }

    @Override // com.luck.picture.lib.widget.longimage.DecoderFactory
    public T make() {
        return (T) this.clazz.newInstance();
    }
}
