package kotlin.time;

import java.util.concurrent.TimeUnit;

public final class MonoClock extends AbstractLongClock implements Clock {
    public static final MonoClock INSTANCE = new MonoClock();

    public String toString() {
        return "Clock(System.nanoTime())";
    }

    private MonoClock() {
        super(TimeUnit.NANOSECONDS);
    }

    /* access modifiers changed from: protected */
    @Override // kotlin.time.AbstractLongClock
    public long read() {
        return System.nanoTime();
    }
}
