package androidx.camera.view.preview.transform;

import com.luck.picture.lib.widget.longimage.SubsamplingScaleImageView;
import d.b.a.a.a;

public final class SurfaceRotation {
    private SurfaceRotation() {
    }

    public static int rotationDegreesFromSurfaceRotation(int i2) {
        if (i2 == 0) {
            return 0;
        }
        if (i2 == 1) {
            return 90;
        }
        if (i2 == 2) {
            return 180;
        }
        if (i2 == 3) {
            return SubsamplingScaleImageView.ORIENTATION_270;
        }
        throw new UnsupportedOperationException(a.x("Unsupported surface rotation constant: ", i2));
    }
}
