package com.androidx.lv.base.bean;

import androidx.databinding.BaseObservable;
import androidx.databinding.Bindable;
import androidx.databinding.library.baseAdapters.BR;
import java.io.Serializable;

public class UserAccount extends BaseObservable implements Serializable {
    private double bala;
    private double gold;

    @Bindable
    public double getBala() {
        return this.bala;
    }

    @Bindable
    public double getGold() {
        return this.gold;
    }

    public void setBala(double d2) {
        this.bala = d2;
        notifyPropertyChanged(BR.bala);
    }

    public void setGold(double d2) {
        this.gold = d2;
        notifyPropertyChanged(BR.gold);
    }
}
