package com.androidx.lv.base.dialog;

import android.app.Dialog;
import android.text.TextPaint;
import android.text.style.URLSpan;
import androidx.annotation.Nullable;

public class NoticeDialog extends Dialog {

    public static class URLSpanNoUnderline extends URLSpan {
        public static final /* synthetic */ boolean $assertionsDisabled = false;

        public URLSpanNoUnderline(String str) {
            super(str);
        }

        public void updateDrawState(@Nullable TextPaint textPaint) {
            super.updateDrawState(textPaint);
            textPaint.setUnderlineText(false);
        }
    }
}
