package com.bumptech.glide.load.engine.bitmap_recycle;

import d.b.a.a.a;
import java.util.Map;
import java.util.TreeMap;

public class PrettyPrintTreeMap<K, V> extends TreeMap<K, V> {
    public String toString() {
        StringBuilder n = a.n("( ");
        for (Map.Entry<K, V> entry : entrySet()) {
            n.append('{');
            n.append((Object) entry.getKey());
            n.append(':');
            n.append((Object) entry.getValue());
            n.append("}, ");
        }
        if (!isEmpty()) {
            n.replace(n.length() - 2, n.length(), "");
        }
        n.append(" )");
        return n.toString();
    }
}
