package com.grass.cstore.bean;

import androidx.databinding.BaseObservable;
import androidx.databinding.Bindable;
import java.io.Serializable;

public class UploadImgBean extends BaseObservable implements Serializable {
    private String domain;
    private String fileName;
    private String path;
    private float progressNum;

    @Bindable
    public String getDomain() {
        return this.domain;
    }

    @Bindable
    public String getFileName() {
        return this.fileName;
    }

    @Bindable
    public String getPath() {
        return this.path;
    }

    @Bindable
    public float getProgressNum() {
        return this.progressNum;
    }

    public void setDomain(String str) {
        this.domain = str;
        notifyPropertyChanged(25);
    }

    public void setFileName(String str) {
        this.fileName = str;
        notifyPropertyChanged(34);
    }

    public void setPath(String str) {
        this.path = str;
        notifyPropertyChanged(58);
    }

    public void setProgressNum(float f2) {
        this.progressNum = f2;
        notifyPropertyChanged(64);
    }
}
