package com.grass.cstore.ui;

import android.graphics.Color;
import android.os.Bundle;
import android.os.Process;
import android.util.SparseArray;
import androidx.fragment.app.FragmentManager;
import androidx.fragment.app.FragmentTransaction;
import androidx.lifecycle.Lifecycle;
import androidx.lifecycle.MutableLiveData;
import androidx.lifecycle.ViewModelProvider;
import com.android.tiktok.d1681786505291105505.R;
import com.androidx.lv.base.bean.VersionBean;
import com.androidx.lv.base.model.VersionUpdateModel;
import com.androidx.lv.base.ui.BaseActivity;
import com.androidx.lv.base.ui.LazyFragment;
import com.grass.cstore.databinding.ActivityMainBinding;
import com.grass.cstore.ui.home.HomeFragment;
import com.grass.cstore.ui.home.MineFragment;
import com.grass.cstore.ui.video.ShortVideoHotFragment;
import com.lzy.okgo.cache.CacheMode;
import com.lzy.okgo.request.GetRequest;
import d.a.a.a.b.a;
import d.c.a.a.d.c;
import d.c.a.a.f.c;
import d.c.a.a.h.f;
import d.c.a.a.i.j;
import d.h.a.g.b;
import java.util.Objects;
import me.jessyan.autosize.internal.CancelAdapt;

public class MainActivity extends BaseActivity<ActivityMainBinding> implements c.d, CancelAdapt {
    public int l = 0;
    public FragmentManager m;
    public SparseArray<LazyFragment> n = new SparseArray<>();
    public c o;
    public VersionUpdateModel p;
    public VersionBean q;
    public HomeFragment r;
    public long s;

    @Override // com.androidx.lv.base.ui.BaseActivity
    public void C() {
        this.m = getSupportFragmentManager();
        this.n.append(0, this.r);
        this.n.append(1, new ShortVideoHotFragment());
        SparseArray<LazyFragment> sparseArray = this.n;
        int i2 = MineFragment.n;
        Bundle bundle = new Bundle();
        MineFragment mineFragment = new MineFragment();
        mineFragment.setArguments(bundle);
        sparseArray.append(2, mineFragment);
        this.m.beginTransaction().add(R.id.main_frame_layout, this.r).commitAllowingStateLoss();
    }

    @Override // com.androidx.lv.base.ui.BaseActivity
    public void F() {
        a a2 = d.a.a.a.c.a.b().a("/app/SplashActivity");
        a2.m |= 67108864;
        a2.b();
        finish();
    }

    @Override // com.androidx.lv.base.ui.BaseActivity
    public int G() {
        return R.layout.activity_main;
    }

    public void H(int i2) {
        ((ActivityMainBinding) this.f222h).b(Integer.valueOf(i2));
        if (this.l != i2) {
            LazyFragment lazyFragment = this.n.get(i2);
            LazyFragment lazyFragment2 = this.n.get(this.l);
            FragmentTransaction beginTransaction = this.m.beginTransaction();
            if (!lazyFragment.isAdded()) {
                beginTransaction.add(R.id.main_frame_layout, lazyFragment).hide(lazyFragment2);
            } else {
                beginTransaction.show(lazyFragment).hide(lazyFragment2);
            }
            beginTransaction.setMaxLifecycle(lazyFragment, Lifecycle.State.RESUMED);
            beginTransaction.setMaxLifecycle(lazyFragment2, Lifecycle.State.STARTED);
            beginTransaction.commitAllowingStateLoss();
            this.l = i2;
        }
        if (i2 == 0) {
            ((ActivityMainBinding) this.f222h).k.setBackgroundColor(Color.parseColor("#f4f5f9"));
            ((ActivityMainBinding) this.f222h).f762j.setImageResource(R.drawable.ic_main_recommend);
            ((ActivityMainBinding) this.f222h).o.setTextColor(Color.parseColor("#F50272"));
            ((ActivityMainBinding) this.f222h).f760d.setImageResource(R.drawable.ic_main_find_no);
            ((ActivityMainBinding) this.f222h).m.setTextColor(Color.parseColor("#999999"));
            ((ActivityMainBinding) this.f222h).f761h.setImageResource(R.drawable.ic_main_mine_no);
            ((ActivityMainBinding) this.f222h).n.setTextColor(Color.parseColor("#999999"));
        } else if (i2 == 1) {
            ((ActivityMainBinding) this.f222h).k.setBackgroundColor(Color.parseColor("#000000"));
            ((ActivityMainBinding) this.f222h).f762j.setImageResource(R.drawable.ic_main_recommend_black);
            ((ActivityMainBinding) this.f222h).o.setTextColor(Color.parseColor("#ffffff"));
            ((ActivityMainBinding) this.f222h).f761h.setImageResource(R.drawable.ic_main_mine_black);
            ((ActivityMainBinding) this.f222h).n.setTextColor(Color.parseColor("#ffffff"));
        } else if (i2 == 2) {
            ((ActivityMainBinding) this.f222h).k.setBackgroundColor(Color.parseColor("#f4f5f9"));
            ((ActivityMainBinding) this.f222h).f762j.setImageResource(R.drawable.ic_main_recommend_no);
            ((ActivityMainBinding) this.f222h).o.setTextColor(Color.parseColor("#999999"));
            ((ActivityMainBinding) this.f222h).f760d.setImageResource(R.drawable.ic_main_find_no);
            ((ActivityMainBinding) this.f222h).m.setTextColor(Color.parseColor("#999999"));
            ((ActivityMainBinding) this.f222h).f761h.setImageResource(R.drawable.ic_main_mine);
            ((ActivityMainBinding) this.f222h).n.setTextColor(Color.parseColor("#F50272"));
        }
    }

    @Override // com.androidx.lv.base.ui.BaseActivity
    public void initView() {
        int i2 = 1;
        this.r = HomeFragment.q(1);
        ((ActivityMainBinding) this.f222h).a(this);
        ((ActivityMainBinding) this.f222h).b(Integer.valueOf(this.l));
        VersionUpdateModel versionUpdateModel = (VersionUpdateModel) new ViewModelProvider(this).get(VersionUpdateModel.class);
        this.p = versionUpdateModel;
        if (versionUpdateModel.f212a == null) {
            versionUpdateModel.f212a = new MutableLiveData<>();
        }
        versionUpdateModel.f212a.observe(this, new d.h.a.g.c(this));
        VersionUpdateModel versionUpdateModel2 = this.p;
        if (versionUpdateModel2.f213b == null) {
            versionUpdateModel2.f213b = new MutableLiveData<>();
        }
        versionUpdateModel2.f213b.observe(this, new b(this));
        VersionUpdateModel versionUpdateModel3 = this.p;
        if (versionUpdateModel3.f214c == null) {
            versionUpdateModel3.f214c = new MutableLiveData<>();
        }
        versionUpdateModel3.f214c.observe(this, new d.h.a.g.a(this));
        VersionUpdateModel versionUpdateModel4 = this.p;
        Objects.requireNonNull(versionUpdateModel4);
        if (!c.a.a.a.F().equals("lv")) {
            i2 = 2;
        }
        d.c.a.a.f.c cVar = c.b.f1302a;
        String str = cVar.c() + "/api/sys/version/update?type=" + i2;
        f fVar = new f(versionUpdateModel4, "checkLatestVersion");
        ((GetRequest) ((GetRequest) ((GetRequest) new GetRequest(str).tag(fVar.getTag())).cacheKey(str)).cacheMode(CacheMode.NO_CACHE)).execute(fVar);
    }

    @Override // androidx.activity.ComponentActivity, com.androidx.lv.base.ui.BaseActivity
    public void onBackPressed() {
        if (System.currentTimeMillis() - this.s > 1000) {
            this.s = System.currentTimeMillis();
            j.a().c("再按一次退出");
            return;
        }
        Process.killProcess(Process.myPid());
        System.exit(1);
        super.onBackPressed();
    }

    @Override // androidx.appcompat.app.AppCompatActivity, androidx.fragment.app.FragmentActivity, com.androidx.lv.base.ui.BaseActivity
    public void onDestroy() {
        super.onDestroy();
    }

    @Override // androidx.fragment.app.FragmentActivity
    public void onPause() {
        super.onPause();
    }

    @Override // androidx.fragment.app.FragmentActivity
    public void onResume() {
        super.onResume();
    }
}
