package com.grass.cstore.ui.video;

import android.content.Context;
import android.content.Intent;
import android.net.Uri;
import android.os.Bundle;
import android.os.CountDownTimer;
import android.util.Log;
import android.view.View;
import androidx.annotation.Nullable;
import com.android.tiktok.d1681786505291105505.R;
import com.androidx.lv.base.bean.AdInfoBean;
import com.androidx.lv.base.http.BaseRes;
import com.androidx.lv.base.service.AdClickService;
import com.androidx.lv.base.ui.LazyFragment;
import com.grass.cstore.bean.VideoBean;
import com.grass.cstore.bean.VideoListBean;
import com.grass.cstore.databinding.FragmentShortVideoBinding;
import com.grass.cstore.model.ShareModel;
import com.grass.cstore.player.tiktok.TikTokPlayer;
import com.grass.cstore.player.tiktok.ViewPagerLayoutManager;
import com.grass.cstore.ui.comment.CommentFragment;
import com.grass.cstore.ui.video.adapter.TikTokAdapter;
import com.gyf.immersionbar.ImmersionBar;
import com.lzy.okgo.cache.CacheMode;
import com.lzy.okgo.request.GetRequest;
import com.shuyu.gsyvideoplayer.utils.GSYVideoType;
import d.c.a.a.f.c;
import d.c.a.a.i.c;
import d.c.a.a.i.d;
import d.c.a.a.i.j;
import d.g.c.i;
import i.a.a.l;
import java.util.List;
import org.greenrobot.eventbus.ThreadMode;

public class ShortVideoHotFragment extends LazyFragment<FragmentShortVideoBinding> implements d.h.a.f.b.a, d.c.a.a.g.a, TikTokPlayer.h, CommentFragment.b {
    public TikTokAdapter n;
    public int o = 0;
    public int p = 1;
    public TikTokPlayer q;
    public ViewPagerLayoutManager r;
    public CommentFragment s;
    public d.c.a.a.b t;
    public boolean u = true;
    public d.c.a.a.d.a v;
    public CountDownTimer w;

    public class a extends ViewPagerLayoutManager {
        public a(Context context, int i2) {
            super(context, i2);
        }

        @Override // androidx.recyclerview.widget.RecyclerView.LayoutManager, androidx.recyclerview.widget.LinearLayoutManager
        public boolean canScrollVertically() {
            return ShortVideoHotFragment.this.u;
        }
    }

    public class b extends d.c.a.a.f.d.a<BaseRes<VideoListBean>> {
        public b(String str) {
            super(str);
        }

        @Override // d.c.a.a.f.d.b
        public void onLvSuccess(Object obj) {
            BaseRes baseRes = (BaseRes) obj;
            if (ShortVideoHotFragment.this.k != null) {
                if (baseRes.getCode() != 200) {
                    j.a().d(baseRes.getMsg());
                } else if (baseRes.getData() != null && ((VideoListBean) baseRes.getData()).getData() != null && ((VideoListBean) baseRes.getData()).getData().size() > 0) {
                    int c2 = c.e().c("VIDEO_WIDGET");
                    AdInfoBean b2 = c.e().b("VIDEO_WIDGET", 2, 0);
                    int i2 = 0;
                    for (int i3 = 0; i3 < ((VideoListBean) baseRes.getData()).getData().size(); i3++) {
                        if (b2 != null && (i2 = i2 + 1) == c2) {
                            VideoBean videoBean = new VideoBean();
                            videoBean.setAd(true);
                            videoBean.setAdInfoBean(b2);
                            ((VideoListBean) baseRes.getData()).getData().add(i3, videoBean);
                            i2 = 0;
                        }
                    }
                    ShortVideoHotFragment shortVideoHotFragment = ShortVideoHotFragment.this;
                    if (shortVideoHotFragment.p == 1) {
                        shortVideoHotFragment.n.setData(((VideoListBean) baseRes.getData()).getData());
                    } else {
                        shortVideoHotFragment.n.e(((VideoListBean) baseRes.getData()).getData());
                    }
                }
            }
        }
    }

    public ShortVideoHotFragment() {
        new i();
    }

    @Override // d.i.a.a.a, com.androidx.lv.base.ui.LazyFragment
    public void a() {
        ImmersionBar.with(this).statusBarDarkFont(false).autoDarkModeEnable(false).keyboardEnable(false).init();
    }

    @Override // d.h.a.f.b.a
    public void c(int i2, boolean z) {
        List<D> list;
        if (this.o != i2 && (list = this.n.f216a) != null && list.size() >= this.o - 1) {
            this.o = i2;
            n((VideoBean) this.n.b(i2));
            if (z) {
                this.p++;
                m();
            }
        }
    }

    @Override // com.grass.cstore.ui.comment.CommentFragment.b
    public void f(int i2, int i3) {
        this.n.f216a.get(i2).setCommentNum(i3);
        this.n.notifyItemChanged(i2, Integer.valueOf((int) R.id.tv_comment));
        i.a.a.c.b().f(new d.h.a.c.c(this.n.f216a.get(i2).getVideoId(), i3, 0));
    }

    @Override // com.androidx.lv.base.ui.LazyFragment
    public void j() {
        i.a.a.c.b().j(this);
        this.v = new d.c.a.a.d.a(getActivity());
        this.p = 1;
        c.a.a.a.M();
        this.r = new a(getActivity(), 1);
        ((FragmentShortVideoBinding) this.k).k.setVisibility(8);
        ((FragmentShortVideoBinding) this.k).f809h.setLayoutManager(this.r);
        TikTokAdapter tikTokAdapter = new TikTokAdapter();
        this.n = tikTokAdapter;
        ((FragmentShortVideoBinding) this.k).f809h.setAdapter(tikTokAdapter);
        this.n.f217b = this;
        this.r.f860b = this;
        Bundle bundle = new Bundle();
        CommentFragment commentFragment = new CommentFragment();
        commentFragment.setArguments(bundle);
        this.s = commentFragment;
        commentFragment.x = this;
        m();
    }

    @Override // com.androidx.lv.base.ui.LazyFragment
    public int l() {
        return R.layout.fragment_short_video;
    }

    public void m() {
        String v2 = d.b.a.a.a.v(c.b.f1302a, new StringBuilder(), "/api/video/recommend");
        b bVar = new b("");
        ((GetRequest) ((GetRequest) ((GetRequest) new GetRequest(v2).tag(bVar.getTag())).cacheKey(v2)).cacheMode(CacheMode.NO_CACHE)).execute(bVar);
    }

    public final void n(VideoBean videoBean) {
        videoBean.setCanWatch(true);
        TikTokAdapter.Holder holder = (TikTokAdapter.Holder) ((FragmentShortVideoBinding) this.k).f809h.findViewHolderForLayoutPosition(this.o);
        if (holder != null) {
            this.q = holder.k;
            if (videoBean.isAd()) {
                this.u = false;
                long minStaySecond = (long) (videoBean.getAdInfoBean().getMinStaySecond() * 1000);
                CountDownTimer countDownTimer = this.w;
                if (countDownTimer != null) {
                    countDownTimer.cancel();
                    this.w = null;
                }
                d.h.a.g.u.b bVar = new d.h.a.g.u.b(this, minStaySecond, 1000);
                this.w = bVar;
                bVar.start();
                if ("VIDEO".equals(videoBean.getAdInfoBean().getAdType())) {
                    GSYVideoType.setShowType(0);
                    StringBuilder n2 = d.b.a.a.a.n(d.b.a.a.a.j(new StringBuilder(), c.b.f1302a.f1301a, "/api/m3u8/decode/byPath?path="));
                    n2.append(videoBean.getAdInfoBean().getAdPlay());
                    this.q.setUp(n2.toString(), true, "");
                    this.q.setCurrentVideoBean(videoBean);
                    this.q.startPlayLogic();
                    return;
                }
                return;
            }
            this.u = true;
            int height = ((FragmentShortVideoBinding) this.k).f808d.getHeight();
            videoBean.getVideoScale(height);
            TikTokAdapter tikTokAdapter = this.n;
            if (tikTokAdapter.f966c != height) {
                tikTokAdapter.f966c = height;
            }
            this.q.setCurrentVideoBean(videoBean);
            this.q.setVideoStopInterFace(this);
            this.q.e();
        }
    }

    @l(threadMode = ThreadMode.MAIN)
    public void onCollectEvent(d.h.a.c.b bVar) {
        List<D> list = this.n.f216a;
        if (list != null && list.size() > 0) {
            for (int i2 = 0; i2 < list.size(); i2++) {
                if (list.get(i2).getVideoId() == bVar.f4034a) {
                    list.get(i2).setLike(bVar.f4036c);
                    list.get(i2).setFakeLikes(bVar.f4035b);
                    this.n.notifyItemChanged(i2, "payload");
                }
            }
        }
    }

    @Override // androidx.fragment.app.Fragment, com.gyf.immersionbar.components.ImmersionFragment
    public void onDestroy() {
        super.onDestroy();
        i.a.a.c.b().l(this);
        try {
            this.q.release();
            this.q = null;
        } catch (Exception unused) {
            Log.e("", "");
        }
        if (this.v != null) {
            this.v = null;
        }
    }

    @Override // d.h.a.f.b.a
    public void onInitComplete(View view) {
        n((VideoBean) this.n.b(this.o));
    }

    @Override // d.c.a.a.g.a
    public void onItemClick(View view, int i2) {
        VideoBean videoBean;
        if (k() || (videoBean = (VideoBean) this.n.b(i2)) == null) {
            return;
        }
        if (view.getId() == R.id.tv_comment) {
            if (!d.a(1000)) {
                int videoId = ((VideoBean) this.n.b(i2)).getVideoId();
                int commentNum = ((VideoBean) this.n.b(i2)).getCommentNum();
                CommentFragment commentFragment = this.s;
                commentFragment.l = videoId;
                commentFragment.s = commentNum;
                commentFragment.t = i2;
                commentFragment.show(getChildFragmentManager(), "VideoListActivity");
            }
        } else if (view.getId() == R.id.tv_share1) {
            new ShareModel().b(videoBean.getVideoId(), getContext());
        } else if (view.getId() != R.id.img_user_head && view.getId() != R.id.iv_ad_cover) {
            if (view.getId() == R.id.ll_go_download || view.getId() == R.id.img_user_head1) {
                AdInfoBean adInfoBean = videoBean.getAdInfoBean();
                if (adInfoBean.getJumpType() == 2) {
                    try {
                        Intent intent = new Intent();
                        intent.setAction("android.intent.action.VIEW");
                        intent.setData(Uri.parse(adInfoBean.getAdJump()));
                        startActivity(intent);
                    } catch (Exception e2) {
                        e2.printStackTrace();
                    }
                } else {
                    if (this.t == null) {
                        this.t = new d.c.a.a.b(getActivity());
                    }
                    this.t.a(adInfoBean.getAdJump());
                }
                Intent intent2 = new Intent(getActivity(), AdClickService.class);
                intent2.putExtra("adId", adInfoBean.getAdId());
                getActivity().startService(intent2);
            }
        }
    }

    @Override // androidx.fragment.app.Fragment, com.gyf.immersionbar.components.ImmersionFragment
    public void onPause() {
        super.onPause();
        TikTokPlayer tikTokPlayer = this.q;
        if (tikTokPlayer != null) {
            tikTokPlayer.onVideoPause();
        }
    }

    @Override // androidx.fragment.app.Fragment, com.gyf.immersionbar.components.ImmersionFragment
    public void onResume() {
        super.onResume();
        TikTokPlayer tikTokPlayer = this.q;
        if (tikTokPlayer != null) {
            tikTokPlayer.d();
        }
        TikTokPlayer tikTokPlayer2 = this.q;
        if (tikTokPlayer2 == null || tikTokPlayer2.getCurrentState() != 5) {
            TikTokPlayer tikTokPlayer3 = this.q;
            if (tikTokPlayer3 != null && tikTokPlayer3.getCurrentVideoBean() != null) {
                n(this.q.getCurrentVideoBean());
                return;
            }
            return;
        }
        this.q.onVideoResume();
    }

    @Override // com.grass.cstore.player.tiktok.TikTokPlayer.h
    public void r(VideoBean videoBean) {
        ((VideoBean) this.n.b(this.o)).setReasonType(videoBean.getReasonType());
        this.n.notifyItemChanged(this.o, "payload");
    }

    @Override // androidx.fragment.app.Fragment
    public void setArguments(@Nullable Bundle bundle) {
        super.setArguments(bundle);
    }

    @Override // d.h.a.f.b.a
    public void w(boolean z, int i2) {
        TikTokPlayer tikTokPlayer;
        if (this.o == i2 && (tikTokPlayer = this.q) != null) {
            tikTokPlayer.release();
        }
    }
}
