package kotlin;

import kotlin.jvm.internal.Intrinsics;
import kotlin.reflect.KProperty;

class LazyKt__LazyKt extends LazyKt__LazyJVMKt {
    public static final <T> Lazy<T> lazyOf(T t) {
        return new InitializedLazyImpl(t);
    }

    private static final <T> T getValue(Lazy<? extends T> lazy, Object obj, KProperty<?> kProperty) {
        Intrinsics.checkParameterIsNotNull(lazy, "$this$getValue");
        return (T) lazy.getValue();
    }
}
