package kotlin.collections;

import java.util.Collection;
import kotlin.UByte;
import kotlin.UByteArray;
import kotlin.UInt;
import kotlin.UIntArray;
import kotlin.ULong;
import kotlin.ULongArray;
import kotlin.UShort;
import kotlin.UShortArray;
import kotlin.jvm.internal.Intrinsics;

class UCollectionsKt___UCollectionsKt {
    public static final byte[] toUByteArray(Collection<UByte> collection) {
        Intrinsics.checkParameterIsNotNull(collection, "$this$toUByteArray");
        byte[] r0 = UByteArray.m66constructorimpl(collection.size());
        int i = 0;
        for (UByte uByte : collection) {
            UByteArray.m77setVurrAj0(r0, i, uByte.m64unboximpl());
            i++;
        }
        return r0;
    }

    public static final int[] toUIntArray(Collection<UInt> collection) {
        Intrinsics.checkParameterIsNotNull(collection, "$this$toUIntArray");
        int[] r0 = UIntArray.m135constructorimpl(collection.size());
        int i = 0;
        for (UInt uInt : collection) {
            UIntArray.m146setVXSXFK8(r0, i, uInt.m133unboximpl());
            i++;
        }
        return r0;
    }

    public static final long[] toULongArray(Collection<ULong> collection) {
        Intrinsics.checkParameterIsNotNull(collection, "$this$toULongArray");
        long[] r0 = ULongArray.m204constructorimpl(collection.size());
        int i = 0;
        for (ULong uLong : collection) {
            ULongArray.m215setk8EXiF4(r0, i, uLong.m202unboximpl());
            i++;
        }
        return r0;
    }

    public static final short[] toUShortArray(Collection<UShort> collection) {
        Intrinsics.checkParameterIsNotNull(collection, "$this$toUShortArray");
        short[] r0 = UShortArray.m299constructorimpl(collection.size());
        int i = 0;
        for (UShort uShort : collection) {
            UShortArray.m310set01HTLdE(r0, i, uShort.m297unboximpl());
            i++;
        }
        return r0;
    }

    public static final int sumOfUInt(Iterable<UInt> iterable) {
        Intrinsics.checkParameterIsNotNull(iterable, "$this$sum");
        int i = 0;
        for (UInt uInt : iterable) {
            i = UInt.m90constructorimpl(i + uInt.m133unboximpl());
        }
        return i;
    }

    public static final long sumOfULong(Iterable<ULong> iterable) {
        Intrinsics.checkParameterIsNotNull(iterable, "$this$sum");
        long j = 0;
        for (ULong uLong : iterable) {
            j = ULong.m159constructorimpl(j + uLong.m202unboximpl());
        }
        return j;
    }

    public static final int sumOfUByte(Iterable<UByte> iterable) {
        Intrinsics.checkParameterIsNotNull(iterable, "$this$sum");
        int i = 0;
        for (UByte uByte : iterable) {
            i = UInt.m90constructorimpl(i + UInt.m90constructorimpl(uByte.m64unboximpl() & UByte.MAX_VALUE));
        }
        return i;
    }

    public static final int sumOfUShort(Iterable<UShort> iterable) {
        Intrinsics.checkParameterIsNotNull(iterable, "$this$sum");
        int i = 0;
        for (UShort uShort : iterable) {
            i = UInt.m90constructorimpl(i + UInt.m90constructorimpl(uShort.m297unboximpl() & UShort.MAX_VALUE));
        }
        return i;
    }
}
