package kotlin.collections;

import java.util.Iterator;
import kotlin.ULong;
import kotlin.jvm.internal.markers.KMappedMarker;

public abstract class ULongIterator implements Iterator<ULong>, KMappedMarker {
    public abstract long nextULong();

    public void remove() {
        throw new UnsupportedOperationException("Operation is not supported for read-only collection");
    }

    @Override // java.util.Iterator
    public final ULong next() {
        return ULong.m153boximpl(nextULong());
    }
}
