package kotlin.reflect;

import kotlin.Unit;
import kotlin.jvm.functions.Function3;
import kotlin.reflect.KMutableProperty;

public interface KMutableProperty2<D, E, R> extends KMutableProperty<R>, KProperty2<D, E, R> {

    public interface Setter<D, E, R> extends Function3<D, E, R, Unit>, KMutableProperty.Setter<R> {
    }

    @Override // kotlin.reflect.KMutableProperty
    Setter<D, E, R> getSetter();

    void set(D d, E e, R r);
}
