package kotlin.reflect;

import kotlin.jvm.functions.Function1;
import kotlin.reflect.KProperty;

public interface KProperty1<T, R> extends Function1<T, R>, KProperty<R> {

    public interface Getter<T, R> extends Function1<T, R>, KProperty.Getter<R> {
    }

    R get(T t);

    Object getDelegate(T t);

    @Override // kotlin.reflect.KProperty
    Getter<T, R> getGetter();
}
