package kotlinx.android.extensions;

import kotlin.jvm.internal.DefaultConstructorMarker;

public enum CacheImplementation {
    SPARSE_ARRAY,
    HASH_MAP,
    NO_CACHE;
    
    public static final Companion Companion = new Companion(null);
    private static final CacheImplementation DEFAULT = HASH_MAP;

    public static final class Companion {
        private Companion() {
        }

        public /* synthetic */ Companion(DefaultConstructorMarker defaultConstructorMarker) {
            this();
        }

        public final CacheImplementation getDEFAULT() {
            return CacheImplementation.DEFAULT;
        }
    }
}
